import common from '../../utils/util';
import main from '../../utils/main';

const app = getApp();

Page({
  data: {
    IsShow: 0,
    HasSound: true,
  },
  onLoad: function (options) {
    var that = this;
    
    that.setData({
      Containnerheight: main.getWindowHeight(),
      ProgramName: app.globalData.ProgramName,
      Version: app.globalData.Version,
      IsShow: app.globalData.userInfo.IsShow,
    });

    common.getStorageValue(this, "HasSound", true, function () {
      wx.setStorageSync("HasSound", that.data.HasSound);
    });
  },
  updateMember: function () {
    wx.reLaunch({
      url: '../index/index',
    })
  },
  gotoSymbol: function (e) {
    wx.navigateTo({
      url: '../main/symbolsetting',
    });
  },
  gotoPayCustom:function(){
    if (app.globalData.userInfo.UserID<=7){
      wx.navigateTo({
        url: '../other/paycustom',
      });
    }
  },
  switch1Change(e) {
    var that = this;
    that.data.HasSound = e.detail.value;
    that.setData({
      HasSound: that.data.HasSound,
    });
    wx.setStorageSync("HasSound", that.data.HasSound);
  },
  onShareAppMessage: function () {
    return {
      title: app.globalData.ShareTitle,
      path: app.globalData.SharePath + '?UserID=' + app.globalData.userInfo.UserID,
      imageUrl: app.globalData.ShareImage,
    }
  },
})
